/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef RGBA_H_
#define RGBA_H_

#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <GL/gl.h>
#include <GL/glu.h>

/*-------------------------------------------------------------------------*/

#define TL 0x00		/* 1 0 */
#define TR 0x10		/* 1 1 */
#define BL 0x20		/* 0 0 */
#define BR 0x30		/* 0 1 */

/*-------------------------------------------------------------------------*/

/* RGBA Image */
unsigned char Length;
unsigned char TypeCode;
unsigned char Desc;
unsigned char CMapType;
unsigned char CMapSpec;
unsigned char bpp;
	
unsigned short xPixel;
unsigned short yPixel;
unsigned short width;
unsigned short height;

/*-------------------------------------------------------------------------*/

/* Targa Image Type Codes */
enum TARGA
{
	NO_IMAGE_DATA = 0,
	UNC_COL_MAPPED = 1,
	UNC_RGB_IMAGE = 2,
	UNC_GRAYSCALE = 3
};

/*-------------------------------------------------------------------------*/

/* Function */
void uncompressed();

/*-------------------------------------------------------------------------*/

#endif

