/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef UNIFORM_H_
#define UNIFORM_H_
/* Header Files */
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>
#include <GL/glew.h>
#include "opengl.h"

/*-------------------------------------------------------------------------*/

int v_vert;
int f_frag;
char *vert;
char *frag;

GLuint location;

struct flyprogram
{
	unsigned int program;
	const GLchar* tmp;
	GLuint fragment;
	GLuint vertex;
	GLint result;
	GLint info;
	char *log;
};

struct flyfile
{
	struct flyprogram u;
	struct flyprogram v;
	struct flyprogram f;
	
}shader;

/*-------------------------------------------------------------------------*/

/* Function */
void CreateShader();
void CreateProgram();
void Location(unsigned int index, const char* bind);
void Uniform(const char* name ,const float id);
void Uniform4x4(const char* name, const float* matrix, char transpose);
void DeleteShader();

/*-------------------------------------------------------------------------*/

#endif
